## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ibus-array
Version:        0.2.3
Release:        %autorelease
Summary:        The Array 30 input method for IBus input platform
Summary(zh_TW): IBus行列30輸入法
License:        GPL-2.0-or-later
URL:            https://github.com/lexical/ibus-array
Source0:        %{url}/archive/refs/tags/release-%{version}.tar.gz#/ibus-array-release-%{version}.tar.gz

Patch0:         0001-remove-unused-python3-shebang.patch

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconf
BuildRequires:  python3-devel
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(opencc)
Requires:   ibus

%description
Array 30 input method for IBus that uses the latest keymap table
and follows the Array input method spec implementation.

%description -l zh_TW
IBus行列30輸入法，遵循行列輸入法規格書的定義，
含最新鍵碼表版本，符合一般行列輸入法用戶的慣用方式。

%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%license COPYING
%{_datadir}/ibus-array
%{_libexecdir}/ibus-engine-array
%{_libexecdir}/ibus-setup-array
%{_datadir}/ibus/component/array.xml

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 25 2024 Kan-Ru Chen <kanru@kanru.info> - 0.2.3-1
- Initial import (fedora#2275556)
## END: Generated by rpmautospec
